Bug 140289 - oops during removal of USB memory stick
oops during removal of USB memory stick
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 22:08 EST by Tom Holroyd
Modified: 2015-01-04 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Holroyd 2004-11-21 22:08:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
got the following oops when removing a memory stick.
I had been bunzipping a lengthy file, ^C'ed it, then
found that the device seemed to go offline.  I remounted it,
but couldn't access it (I/O error).  It was mounted as a vfat
partition, scsi device.

Nov 21 21:59:31 kaiba kernel: scsi0 (0:0): rejecting I/O to offline device
Nov 21 21:59:32 kaiba kernel: FAT: bread(block 505) in fat_access failed
Nov 21 21:59:32 kaiba kernel: scsi0 (0:0): rejecting I/O to offline device
Nov 21 21:59:32 kaiba kernel: FAT: bread(block 505) in fat_access failed
Nov 21 21:59:32 kaiba kernel: scsi0 (0:0): rejecting I/O to offline device
Nov 21 21:59:32 kaiba kernel: FAT: bread(block 505) in fat_access failed
Nov 21 21:59:37 kaiba kernel: scsi0 (0:0): rejecting I/O to offline device
Nov 21 21:59:37 kaiba kernel: Buffer I/O error on device sda1, logical
block 219240
Nov 21 21:59:37 kaiba kernel: Buffer I/O error on device sda1, logical
block 219241
Nov 21 22:00:25 kaiba kernel: scsi0 (0:0): rejecting I/O to offline device
Nov 21 22:00:25 kaiba kernel: Buffer I/O error on device sda1, logical
block 219240
Nov 21 22:00:25 kaiba kernel: Buffer I/O error on device sda1, logical
block 219241
Nov 21 22:01:01 kaiba crond(pam_unix)[9209]: session opened for user
root by (uid=0)
Nov 21 22:01:01 kaiba crond(pam_unix)[9209]: session closed for user root
Nov 21 22:01:07 kaiba kernel: scsi0 (0:0): rejecting I/O to offline device
Nov 21 22:01:07 kaiba kernel: Buffer I/O error on device sda1, logical
block 1
Nov 21 22:01:07 kaiba kernel: lost page write due to I/O error on sda1
Nov 21 22:01:21 kaiba kernel: usb 3-2: USB disconnect, address 2
Nov 21 22:01:21 kaiba kernel: slab error in kmem_cache_destroy():
cache `scsi_cmd_cache': Can't free all objects
Nov 21 22:01:21 kaiba kernel:  [<0214b170>] kmem_cache_destroy+0x97/0x11c
Nov 21 22:01:21 kaiba kernel:  [<224e17c8>]
scsi_destroy_command_freelist+0x6d/0x7e [scsi_mod]
Nov 21 22:01:21 kaiba kernel:  [<224e2b5b>]
scsi_host_dev_release+0x8d/0xa6 [scsi_mod]
Nov 21 22:01:21 kaiba kernel:  [<0224256d>] device_release+0x11/0x40
Nov 21 22:01:21 kaiba kernel:  [<021db704>] kobject_cleanup+0x40/0x60
Nov 21 22:01:21 kaiba kernel:  [<021db724>] kobject_release+0x0/0x8
Nov 21 22:01:21 kaiba kernel:  [<021db9db>] kref_put+0x41/0x46
Nov 21 22:01:21 kaiba kernel:  [<22470ba4>]
usb_stor_release_resources+0x1bb/0x1dc [usb_storage]
Nov 21 22:01:21 kaiba kernel:  [<22470eb0>]
storage_disconnect+0x69/0x71 [usb_storage]
Nov 21 22:01:21 kaiba kernel:  [<0227c35d>] usb_unbind_interface+0x2c/0x50
Nov 21 22:01:21 kaiba kernel:  [<02243330>]
device_release_driver+0x3c/0x46
Nov 21 22:01:21 kaiba kernel:  [<0224350c>] bus_remove_device+0x5c/0x95
Nov 21 22:01:21 kaiba kernel:  [<0224282b>] device_del+0x6d/0x8e
Nov 21 22:01:21 kaiba kernel:  [<02283bfb>] usb_disable_device+0x5d/0xc5
Nov 21 22:01:21 kaiba kernel:  [<0227e61c>] usb_disconnect+0xc2/0x21c
Nov 21 22:01:21 kaiba kernel:  [<0227f712>]
hub_port_connect_change+0x5d/0x4f7
Nov 21 22:01:21 kaiba kernel:  [<0227ff32>] hub_events+0x386/0x437
Nov 21 22:01:21 kaiba kernel:  [<0227ffe3>] hub_thread+0x0/0xe4
Nov 21 22:01:21 kaiba fstab-sync[9294]: removed mount point
/media/NO_NAME for /dev/sda1
Nov 21 22:01:21 kaiba kernel:  [<02280001>] hub_thread+0x1e/0xe4
Nov 21 22:01:21 kaiba kernel:  [<0211cfdb>]
autoremove_wake_function+0x0/0x2d
Nov 21 22:01:21 kaiba kernel:  [<0227ffe3>] hub_thread+0x0/0xe4
Nov 21 22:01:21 kaiba kernel:  [<0211cfdb>]
autoremove_wake_function+0x0/0x2d
Nov 21 22:01:21 kaiba kernel:  [<021041d9>] kernel_thread_helper+0x5/0xb


Version-Release number of selected component (if applicable):
2.6.9-1.678_FC3

How reproducible:
Didn't try


Additional info:
Comment 1 Alex Butcher 2004-12-10 14:00:37 EST
Seems the same slab error can be caused by attempting to read beyond
the end of a usb_storage device. Can either the SCSI or usb_storage
layer perform some bounds checking?
Comment 2 Jeff Pitman 2005-01-12 22:47:02 EST
Got this today. Kernel version: 2.6.9-1.681_FC3.     
    
My setup includes using autofs to bring the mount points in on-demand.    
Unmounting is not much of an issue since this device is more or less a    
permanent fixture to my computer setup.    
    
As I've been increasingly squeezed on my local HD space, I've been    
increasingly relying on this external HD to pick up areas of my filesystems    
that are less important.  (eg. /usr/share/doc)  In addition, my music files,    
documents, and projects (which bash scripts will point to and execute    
environment setup scripts) are on this disk.    
    
What this means, potentially, is that this disk is becoming needed earlier in    
the boot process bringing it closer and closer to when the SCSI drivers are    
being loaded into the kernel. So, it could be a bad interaction and/or   
deadlock between getting a vfat/usb partition all loaded and running prior to   
a mount command is issued. Since this happens to be the first vfat fs to   
mount, it requires these modules: fat, vfat, nls_cp950, nls_utf8, sd_mod,  
usb_storage, scsi_mod to be fully loaded and operating.  
  
I'll also wonder, out loud if I may, if this has anything to do with #129966.   
What codepages, if any, are you loading on vfat mount?  When you plug in the 
usb device, has your usb modules been loaded previously?  Or was it the first 
device? 
Comment 3 Dave Jones 2005-07-15 16:13:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:53:32 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.